// Copyright (c) 2014, The Shelf Bind project authors.
// Please see the AUTHORS file for details.
// All rights reserved. Use of this source code is governed by
// a BSD 2-Clause License that can be found in the LICENSE file.

library shelf_bind.convert.test;

import 'package:shelf_bind/src/converters.dart';
import 'package:unittest/unittest.dart';

main() {
  group('convertTo', () {
    test('converts a string to a int', () {
      expect(convertTo(num, "10"), equals(10));
      expect(convertTo(num, "10"), new isInstanceOf<int>());
    });

    test('converts a string to a double', () {
      expect(convertTo(num, "10.2"), equals(10.2));
      expect(convertTo(num, "10.2"), new isInstanceOf<double>());
    });

    test('throws FormatExcpetion on invalid num input', () {
      expect(() => convertTo(num, "fred"),
          throwsA(new isInstanceOf<FormatException>()));
    });
  });
}